Name:           xvkbd
Version:        3.7
Release:        1%{?dist}
Summary:        Virtual Keyboard for X Window System
License:        GPLv2+
URL:            http://homepage3.nifty.com/tsato/xvkbd/index.html
Source0:        http://homepage3.nifty.com/tsato/xvkbd/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# The following icon is licensed under CC BY-SA 3.0.
Source2:        http://download.sourceforge.jp/xvkbd-fedora/45742/%{name}.png
BuildRequires:  desktop-file-utils
BuildRequires:  imake
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXtst-devel
BuildRequires:  Xaw3d-devel

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(software) by clicking on a keyboard displayed on the screen. This
may be used for systems without a hardware keyboard such as kiosk
terminals or hand-held devices. This program also has facility to send
characters specified as the command line option to another client.

%prep
%setup -q
sed -i 's|<X11/Xaw|<X11/Xaw3d|g' xvkbd.c

%build
xmkmf -a
# Installed "normal" files should have 0644 permission, not 0444 permission.
# So I modify Makefile directly.
sed -i.mode -e 's|-m 0444|-m 0644|' Makefile
make %{?_smp_mflags} CCOPTIONS="%{optflags}" EXTRA_LDOPTIONS="%{?__global_ldflags}"

%install
# By default this installs some file under /usr/lib/X11/app-defaults,
# even on 64 bit architecture. So I had to add "LIBDIR=%{_libdir}/X11".
make LIBDIR=%{_libdir}/X11 DESTDIR=%{buildroot} INSTALLFLAGS="-c -p" \
          install install.man
rm -frv %{buildroot}%{_libdir}/X11/app-defaults
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pDm644 %{S:2} %{buildroot}%{_datadir}/pixmaps

%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/X11/app-defaults/XVkbd*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Sep 13 2015 Christopher Meng <rpm@cicku.me> - 3.7-1
- Update to 3.7

* Sun Feb 15 2015 Christopher Meng <rpm@cicku.me> - 3.6-1
- Update to 3.6

* Mon Jul 15 2013 Christopher Meng <rpm@cicku.me> - 3.5-1
- Update to 3.5

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 26 2012 Orion Poplawski <orion@cora.nwra.com> - 3.2-5
- Rebuild with Xaw3d 1.6.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 Akio Idehara <zbe64533 at gmail.com> 3.2-2
- Rebuild for F14

* Tue May 18 2010 Akio Idehara <zbe64533 at gmail.com> 3.2-1
- Update to 3.2

* Sun Feb 28 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-5
- Rebuild for F13

* Sat Feb 6 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-4
- Fix build without optflags (#562381)

* Sat Feb 6 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-3
- Separate patch related to 64-bit arch which depends on C99

* Fri Feb 5 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-2
- Fix default define
- Fix warning on 64-bit arch

* Wed Feb 3 2010 Akio Idehara <zbe64533 at gmail.com> 3.1-1
- Update to 3.1

* Mon Feb 1 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-6
- Change Icon size

* Sun Jan 24 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-5
- Fix Icon permission

* Sun Jan 10 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-4
- Clarify Source2 license (CC BY-SA 3.0) and URL

* Fri Jan 8 2010 Akio Idehara <zbe64533 at gmail.com> 3.0-3
- Add the lack of BuildRequires statements
- Fix build failure on x86_64
- Fix some trivial mistake

* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-2
- Add Desktop files

* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-1
- Initial RPM release
